View Issue Details

IDProjectCategoryView StatusLast Update
0011101MediaMonkey (current)Framework: Scripts/Extensionspublic2014-11-02 16:09
Reporterzvezdan Assigned To 
PriorityhighSeverityfeatureReproducibilityN/A
Status assignedResolutionreopened 
Fixed in Version4.1 
Summary0011101: ISDBPlaylist::AddTrack and similar shouldn't ask for confirmation
DescriptionIt would be nice if you add method to add some track to the playlist without confirmation if that playlist already contains the same track. Using AddTrack method we are getting the dialog box asking us if we want to add such track which could be unwanted with some scripts that are executing periodically in the background.
TagsNo tags attached.
Fixed in build1651

Activities

Ludek

2013-07-24 21:14

developer   ~0036970

Last edited: 2013-07-24 21:17

View 3 revisions

I would rather say that the bug is that ISDBPlaylist::AddTrack requires confirmation while ISDBPlaylist::AddTrackById doesn't require.

I think that in case of these scripting methods user shouldn't be asked for confirmation at all, to be fixed for
ISDBPlaylist::AddTrack
ISDBPlaylist::InsertTrack
ISDBPlaylist::AddTracks
ISDBPlaylist::InsertTracks

Ludek

2013-07-24 21:25

developer   ~0036971

Fixed in build 1651.

zvezdan

2013-07-25 15:45

updater   ~0036980

Removing confirmation from the existing AddTrack method could lead to unwanted effects with scripts that are already using this method. What if some script actually expects the confirmation dialog with the duplicate tracks? Also, I think that AddTrack method is used much more often in scripts than AddTrackById, so maybe it would be better if you add confirmation to AddTrackById than otherwise. Besides, you already have RemoveTrackNoConfirmation method and I though it would be better if you add AddTrackNoConfimation to be consistent with it.

However, since you have several Add/Insert methods which could/should have confirmation, here is another suggestion that doesn't require to add duplicate "NoConfirmation" method for every one of them. You could add one new state property, let say AddingDuplicateState, which could have the following integer values:
0 - do not add track if it is duplicate
1 - add track always, no matter if it is duplicate
2 - ask for confirmation

So, depending of that property, which should be previously set, the mentioned Add/Insert methods would execute accordingly.

zvezdan

2014-11-02 16:09

updater   ~0040867

Some users have problem with the modification that you applied to the AddTrack method since they want to get the confirmation dialog box for duplicates (http://www.mediamonkey.com/forum/viewtopic.php?p=397727#p397727).

I still believe that it would be better if you have added the new method AddTrackNoConfirmation as I suggested in the original Summary that you have modified.